package com.sunxung.factoring.entity.financing.contract;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

import java.util.List;

/**
 * <p>
 * 合同电子签信息
 * </p>
 *
 * @author liutao
 * @since 2022-06-29
 */
@TableName("contract_electronic_info")
public class ContractElectronicInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 合同名称
     */
    @TableField("contract_name")
    private String contractName;

    /**
     * 合同基础信息ID
     */
    @TableField("contract_info_id")
    private Long contractInfoId;

    /**
     * FDD合同编号
     */
    @TableField("contract_id")
    private String contractId;

    /**
     * 自动签署合同交易id
     */
    @TableField("auto_sign_transaction_id")
    private String autoSignTransactionId;

    /**
     * 合同
     */
    @TableField("file_id")
    private Long fileId;

    /**
     * 自动签署客户信息
     */
    @TableField(exist = false)
    private List<ContractElectronicCustomerInfo> contractElectronicCustomerInfos;

    public String getContractName() {
        return contractName;
    }

    public void setContractName(String contractName) {
        this.contractName = contractName;
    }

    public Long getFileId() {
        return fileId;
    }

    public void setFileId(Long fileId) {
        this.fileId = fileId;
    }

    public Long getContractInfoId() {
        return contractInfoId;
    }

    public void setContractInfoId(Long contractInfoId) {
        this.contractInfoId = contractInfoId;
    }

    public String getContractId() {
        return contractId;
    }

    public void setContractId(String contractId) {
        this.contractId = contractId;
    }

    public String getAutoSignTransactionId() {
        return autoSignTransactionId;
    }

    public void setAutoSignTransactionId(String autoSignTransactionId) {
        this.autoSignTransactionId = autoSignTransactionId;
    }

    public List<ContractElectronicCustomerInfo> getContractElectronicCustomerInfos() {
        return contractElectronicCustomerInfos;
    }

    public void setContractElectronicCustomerInfos(List<ContractElectronicCustomerInfo> contractElectronicCustomerInfos) {
        this.contractElectronicCustomerInfos = contractElectronicCustomerInfos;
    }
}
